/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -v -m -i kglobalshortcutinfo_p.h -p kglobalaccel_component_interface org.kde.kglobalaccel.Component.xml org.kde.kglobalaccel.Component
 *
 * qdbusxml2cpp is Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#ifndef KGLOBALACCEL_COMPONENT_INTERFACE_H_1234573335
#define KGLOBALACCEL_COMPONENT_INTERFACE_H_1234573335

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>
#include <QtDBus/QtDBus>
#include "kglobalshortcutinfo_p.h"

/*
 * Proxy class for interface org.kde.kglobalaccel.Component
 */
class OrgKdeKglobalaccelComponentInterface: public QDBusAbstractInterface
{
    Q_OBJECT
public:
    static inline const char *staticInterfaceName()
    { return "org.kde.kglobalaccel.Component"; }

public:
    OrgKdeKglobalaccelComponentInterface(const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent = 0);

    ~OrgKdeKglobalaccelComponentInterface();

    Q_PROPERTY(QString friendlyName READ friendlyName)
    inline QString friendlyName() const
    { return qvariant_cast< QString >(internalPropGet("friendlyName")); }

    Q_PROPERTY(QString uniqueName READ uniqueName)
    inline QString uniqueName() const
    { return qvariant_cast< QString >(internalPropGet("uniqueName")); }

public Q_SLOTS: // METHODS
    inline QDBusPendingReply<QList<KGlobalShortcutInfo> > allShortcutInfos()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("allShortcutInfos"), argumentList);
    }

    inline QDBusPendingReply<QList<KGlobalShortcutInfo> > allShortcutInfos(const QString &context)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(context);
        return asyncCallWithArgumentList(QLatin1String("allShortcutInfos"), argumentList);
    }

    inline QDBusPendingReply<QStringList> getShortcutContexts()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("getShortcutContexts"), argumentList);
    }

    inline QDBusPendingReply<QStringList> shortcutNames()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("shortcutNames"), argumentList);
    }

    inline QDBusPendingReply<QStringList> shortcutNames(const QString &context)
    {
        QList<QVariant> argumentList;
        argumentList << qVariantFromValue(context);
        return asyncCallWithArgumentList(QLatin1String("shortcutNames"), argumentList);
    }

Q_SIGNALS: // SIGNALS
};

namespace org {
  namespace kde {
    namespace kglobalaccel {
      typedef ::OrgKdeKglobalaccelComponentInterface Component;
    }
  }
}
#endif
